<material-drawer temporary #drawer="drawer">
  <material-list group class = "list" *deferredContent>
    <group>
    <material-list-item (click) = "drawer.toggle()">
      <material-icon icon="menu" ></material-icon><p>Hide the menu</p>
  </material-list-item>
</group> 
<group>
    <div class = "mat-drawer-spacer"></div>
      <material-list-item #item1 (click) = "drawer.toggle()" [routerLink]="RoutePaths.profile_viewer.toUrl()"  [routerLinkActive]="'active'">
        <material-icon #itemIcon1 class = "icon" icon="manage_accounts"></material-icon><p #itemText1>View profile</p>
      </material-list-item>
      <material-list-item  #item2 (click) = "drawer.toggle()" [routerLink]="RoutePaths.add_friends.toUrl()">
        <material-icon #itemIcon2 class = "icon" icon="group_add"></material-icon><p #itemText1>Add friends</p>
      </material-list-item>
      <material-list-item #item3 (click) = "drawer.toggle()" [routerLink]="RoutePaths.chats.toUrl()">
        <material-icon #itemIcon3 class = "icon" icon="chat" ></material-icon><p #itemText1>Chats</p>
      </material-list-item>
    </group>
  </material-list>
</material-drawer>
<material-content>
<header class="material-header" id = "material-header">
    <div class="material-header-row">
        <material-button icon
        class="material-drawer-button" (trigger) = "drawer.toggle()">
      <material-icon icon="menu"></material-icon>
    </material-button>
                
    <span class="material-header-title">{{title}}</span>
    </div>
</header>
<router-outlet [routes] = "Routes.account"></router-outlet>

<input class ="hide" [(ngModel)] = "w.localStorage['exceptionMessage']">
</material-content>